# vim: set sw=4 ts=4 et nu:

Name:               xvt
Version:            2.1
Release:            3.3
Summary:            X terminal-emulator similar to xterm, but smaller
Source:             http://ftp.de.debian.org/debian/pool/main/x/xvt/xvt_%{version}.orig.tar.gz
Source1:            http://ftp.de.debian.org/debian/pool/main/x/xvt/xvt_2.1-20.diff.gz
Source2:            xvt.desktop
Patch1:             xvt-fix_missing_includes.patch
URL:                http://packages.debian.org/xvt
Group:              System/X11/Terminals
License:            BSD
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
%if 0%{?suse_version} >= 1000
BuildRequires:      xorg-x11-devel
%else
BuildRequires:      XFree86-devel
%endif
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files

%description
xvt is an X terminal-emulator that is designed to be more or less compatible
with xterm while using much less swap space. It is mainly intended for use at
sites which use large numbers of X terminals but may also be useful on single
workstations that are short of memory. The main way that xvt achieves its small
size is by avoiding the use of the X toolkit.

If you are looking for a more featureful terminal-emulator than xvt, but one
which still uses less swap space than xterm, consider rxvt-unicode.

Features of xterm which xvt does not support include:
- Tektronix 4014 emulation
- Session logging
- Pop-up menus.  The only one of xterm's popup menu commands that
  is provided in xvt is displaying and hiding of the scrollbar
  and this is done simply by pressing any mouse key in the window
  with the CONTROL key held down.
- Toolkit style configurability.  In particular, xvt does not
  allow the user to remap the mouse or keyboard keys.

Features which are supported include:
- VT100 emulation.  Most of the main escape sequences are supported --
  certainly all those used by the standard screen based UNIX
  applications.
- Lines that scroll off the top of the window are saved and can be
  scrolled back with a scrollbar.
- Text selection and insertion including double and triple click for
  words and lines.

%prep
%setup -q -n "xvt-%{version}.orig"
%__install -d _patches
pushd _patches
%__gzip -dc "%{SOURCE1}" | %__patch -p0
popd #_patches

cat "_patches/xvt-2.1/debian/patches/series" | while read diff flags; do
    %__patch $flags -b -z.orig -i "_patches/xvt-2.1/debian/patches/$diff"
done

%patch1

%build
export SUSE_ASNEEDED=0

%__make config
%__make %{?_smp_flags} \
    CFLAGS="%{optflags} -DLINUX" \
    LDFLAGS="-lutil -L/usr/X11R6/%{_lib}"

%install
%__install -D -m0755 xvt "%{buildroot}%{_bindir}/xvt"
%__install -D -m0644 xvt.1 "%{buildroot}%{_mandir}/man1/xvt.1"

%__install -D -m0644 "%{SOURCE2}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" System TerminalEmulator

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/xvt
%doc %{_mandir}/man1/xvt.1*
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Oct 22 2011 pascal.bleser@opensuse.org
- initial version (2.1)
